#ifndef IPSLIB_H
#define IPSLIB_H

#define WM_IPSLIB_BEGIN    (WM_USER + 1) // W = 0, L = 0
#define WM_IPSLIB_FINISH   (WM_USER + 2) // W = (success) ? TRUE : FALSE;, L = Message Buffer
#define WM_IPSLIB_CONFIRM  (WM_USER + 4) // W = LPBOOL , L = MessageBuf
#define WM_IPSLIB_PROGRESS (WM_USER + 3) // W = percentage, L = MessageBuf
 
typedef struct _tagIPSLIBPARAMS
{
	TCHAR szFilePath1[MAX_PATH + 1]; // + 1 : NULLI[ v0.69
	TCHAR szFilePath2[MAX_PATH + 1]; // + 1 : NULLI[ v0.69
	HWND hWnd;
}IPSLIBPARAMS,FAR *LPIPSLIBPARAMS;

BOOL CreateIPSFile(LPIPSLIBPARAMS lpParams);
BOOL IPSPatch(LPIPSLIBPARAMS lpParams);
BOOL IsIPSFile(LPCTSTR lpFilePath);

#endif