#include <windows.h>
#include "../myfunc.h"
#include "../ini.h"
#include "../strings.h"

LPCTSTR g_szAppName = TEXT(STRING_WIUNINST_APPNAME);
LPCTSTR g_szConfirm = TEXT(STRING_WIUNINST_CONFIRM);
LPCTSTR g_szFinish = TEXT(STRING_WIUNINST_FINISH);

DWORD CountFiles(LPTSTR szPath)
{
	WIN32_FIND_DATA wfd;
	HANDLE hff;
	DWORD dwcount = 0;

	if (szPath[lstrlen(szPath) - 1] != '\\')
		lstrcat(szPath, TEXT("\\"));

	lstrcat(szPath, TEXT("*"));

	if (hff = FindFirstFile(szPath, &wfd)) {
		do {
			if (lstrcmp(wfd.cFileName, TEXT("."))
				|| lstrcmp(wfd.cFileName, TEXT("..")))
				continue;
			dwcount++;
		} while (FindNextFile(hff, &wfd));
		FindClose(hff);
	}

	return dwcount;
}

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow)
{
	TCHAR szStringBuffer[MAX_PATH + 64];
	TCHAR szPathBuffer[MAX_PATH];
	BOOL fresult = FALSE;

	GetAppDataPathName(szPathBuffer,MAX_PATH * sizeof(TCHAR),INI_APPDATADIR,INI_FILENAME,FALSE);

	wsprintf(szStringBuffer, g_szConfirm, szPathBuffer);

	if (MessageBox(NULL, szStringBuffer, g_szAppName, MB_YESNOCANCEL | MB_ICONQUESTION) == IDYES) {
		fresult = DeleteFile(szPathBuffer);
		//
		GetAppDataPathName(szPathBuffer,MAX_PATH * sizeof(TCHAR),INI_APPDATADIR,NULL,FALSE);
		if (!CountFiles(szPathBuffer)) {
			GetAppDataPathName(szPathBuffer,MAX_PATH * sizeof(TCHAR),INI_APPDATADIR,NULL,FALSE);
			fresult = RemoveDirectory(szPathBuffer);
		}

		if (fresult)
			MessageBox(NULL, g_szFinish, g_szAppName, MB_OK | MB_ICONASTERISK);
	}

	return 0;
}
