#ifndef IPS_H
#define IPS_H

/**************
   @萔
***************/
// ipsCȕobZ[Wő啶
//#define LOG_BUFFER_SIZE 0x100 // KvȂ v0.69

// IPSt@Cwb_[AEOFAtruncatẽTCY v0.70
#define IPS_SIZE_HEADER       5
#define IPS_SIZE_OFFSET       3
#define IPS_SIZE_EOF          3
#define IPS_SIZE_TRUNCATE     3
// v0.71
#define IPS_SIZE_LENGTH       2

// `ÑItZbg̍ől v0.71
#define IPS_MAX_OFFSET        0x00FFFFFF
// 1̃`Nێłf[^̍őoCgBAM`N̓f[^AEM`N͌JԂ񐔁Bv0.71
#define IPS_MAX_LENGTH        0x0000FFFF
// 3oCgŕێł鐔𒴂4oCg̒萔 v0.71
// NOTE : IPSt@C̃ItZbg̃TCY3oCgłB
#define IPS_OFFSET_INVALID    0xFFFFFFFF
// EOF32rbgl v0.71
#define IPS_OFFSET_EOF        0x00454f46

// IPSt@C̏ݎɁAt@Cւ̏o͑OɃoCgI[_[בւ}N v0.71
#if 1
// gGfBA(x86Ȃ)
// IPSt@Cւ̏oO32rbgl32rbgl֕ϊ
// [	0xCC 0xBB 0xAA 0x00 -> 0xAA 0xBB 0xCC 0x00
// ϐ			0x00AABBCC          -> 0x00CCBBAA
#define IPS_WRITE_ARRANGE_ENDIANNESS_32(V) ((((V) << 16) & 0x00FF0000) | ((V) & 0x0000FF00) | (((V) >> 16) & 0x000000FF))
// IPSt@Cւ̏oO16rbgl16rbgl֕ϊ
// [	0xBB 0xAA -> 0xAA 0xBB
// ϐ			0xAABB    -> 0xBBAA
// NOTE : Vtgꂽ̋t̃rbg0Ŗ߂B
#define IPS_WRITE_ARRANGE_ENDIANNESS_16(V) (((V) << 8) | ((V) >> 8))
// IPSt@C̓ǂݍ݌32rbgl32rbgl֕ϊ
// [	0xCC 0xBB 0xAA 0x00 -> 0xAA 0xBB 0xCC 0x00
// ϐ			0x00AABBCC          -> 0x00CCBBAA
#define IPS_READ_ARRANGE_ENDIANNESS_32(V)  ((((V) << 16) & 0x00FF0000) | ((V) & 0x0000FF00) | (((V) >> 16) & 0x000000FF))
// IPSt@C̓ǂݍ݌16rbgl16rbgl֕ϊ
// [	0xBB 0xAA -> 0xAA 0xBB
// ϐ			0xAABB    -> 0xBBAA
// NOTE : Vtgꂽ̋t̃rbg0Ŗ߂B
#define IPS_READ_ARRANGE_ENDIANNESS_16(V)  (((V) << 8) | ((V) >> 8))

#else

// rbOGfBA
// NOTE : fobOĂȂB
// IPSt@Cւ̏oO32rbgl32rbgl֕ϊ
// [	0x00 0xAA 0xBB 0xCC -> 0xAA 0xBB 0xCC 0x00
// ϐ			0x00AABBCC          -> 0xAABBCC00
// NOTE : Vtgꂽ̋t̃rbg0Ŗ߂B
#define IPS_WRITE_ARRANGE_ENDIANNESS_32(V) ((V) << 8)
// IPSt@Cւ̏oO16rbgl16rbgl֕ϊ
// [	0xAA 0xBB -> 0xAA 0xBB
// ϐ			0xAABB    -> 0xAABB
#define IPS_WRITE_ARRANGE_ENDIANNESS_16(V) ((V))
// IPSt@C̓ǂݍ݌32rbgl32rbgl֕ϊ
// [	0xAA 0xBB 0xCC 0x00 -> 0x00 0xAA 0xBB 0xCC
// ϐ			0xAABBCC00          -> 0x00AABBCC
// NOTE : Vtgꂽ̋t̃rbg0Ŗ߂B
#define IPS_READ_ARRANGE_ENDIANNESS_32(V)  ((V) >> 8)
// IPSt@C̓ǂݍ݌16rbgl16rbgl֕ϊ
// [	0xAA 0xBB -> 0xAA 0xBB
// ϐ			0xAABB    -> 0xAABB
#define IPS_READ_ARRANGE_ENDIANNESS_16(V)  ((V))

#endif

/***************
    ֐錾
****************/
//@CuŎgpł֐
BOOL ips_Patch(LPCTSTR lpSrcFile,LPCTSTR lpIPSFile,LPTSTR lpLogBuf,HWND hwndParent,UINT uMsg);
BOOL ips_Create(LPCTSTR lpFileOrg,LPCTSTR lpFileChg,LPCTSTR lpFileIPS,LPTSTR lpLogBuf,HWND hwndParent,UINT uMsg);
BOOL ips_IsIPSFile(LPCTSTR lpIPSFile);

#endif /* IPS_H */