#ifndef MYFUNC_H
#define MYFUNC_H

#include <windows.h>
#include <stdio.h>

typedef struct
{
	LPVOID lpPointer;
	DWORD  dwFileSize;
	HANDLE hFile;
	HANDLE hFileMapping;
}FILEMEMORYINFO;

BOOL AllocateFileMemory(LPCTSTR lpFile,FILEMEMORYINFO *psFMInfo);
void FreeFileMemory(FILEMEMORYINFO *psFMInfo);

//int ChangeFileExtension(char *pSourceName,char *pDestName,int iDestBufSize,char *pNewExt); // v0.68܂
BOOL ChangeFileExtension(PTSTR pFilePathSrc, PTSTR pFilePathDst, int iDstBufSize, PTSTR pNewExt);
BOOL GetFileExtension(PTSTR pFileName, PTSTR pDstBuf, int iDstBufSiz); // v0.69 ߂lԂ悤ɕύX

int GetAppPathName(LPSTR lpBuffer,int iBufferSize,LPSTR lpFileName);
int GetAppDataPathName(LPTSTR lpBuffer,int iBufferSize,LPTSTR lpAppName,LPTSTR lpFileName,BOOL fEnsureDirExist);

BOOL CheckFileExistance(LPTSTR lpFile);

// Win32֐pIȃmۃ}N v0.70
#define MemAlloc(S) HeapAlloc(GetProcessHeap(), 0, (S))
#define MemFree(P)  HeapFree(GetProcessHeap(), 0, (P))

#endif /* MYFUNC_H */