#ifndef _STRINGS_EN_H_
#define _STRINGS_EN_H_

/* ips.c */
// status text
#define STRING_IPS_RETRIEVINGFILEINFO		"Getting file information..."//"ُ̧擾..."
#define STRING_IPS_PATCHING					"Processing patch..."//"߯..."
#define STRING_IPS_CREATING					"Creating..."//"쐬..."
#define STRING_IPS_DONE						"Complete"//""
// message box text
#define STRING_IPS_CANTOPENFILE				"%s could not be opened."//"%sJ܂B"
#define STRING_IPS_NOTIPSFILE				"%s is not an IPS file."//"%śAIPŞقł͂܂B"
#define STRING_IPS_CANTOPENFILETOWRITE		"%s could not be opened in write mode."//"%sӰނŊJ܂B"
#define STRING_IPS_CANTRETRIEVEFILESIZE		"Couldn't get file size."//"̧ق̻ނ擾ł܂B"
#define STRING_IPS_CANTHANDLELARGEFILE		"Cannot handle a file larger than 4GB in size."//"TCY4GB𒴂t@C邱Ƃ͂ł܂B"
#define STRING_IPS_NOTFOUNDEOF				"EOF not found."//"EOF܂B"
//#define STRING_IPS_INVALIDOFFSET			"Offset is invalid."//"̾ĂsłB" v0.71 removed
#define STRING_IPS_INVALIDTRUNCATEINFO		"Truncate information is invalid." //"Truncate񂪕słB"
#define STRING_IPS_PATCHEDSUCCESSFULLY		"%s was patched successfully."//"%s͐߯܂B"
#define STRING_IPS_FAILEDTOALLOCMEM			"Memory allocation failed."//"ذ̊mۂɎs܂B"
#define STRING_IPS_FAILEDTOWRITEFILE		"File writing failed."//"̧قւ݂̏Ɏs܂B"
//#define STRING_IPS_FILESIZEERROR			"Cannot create IPS because the size of the file after modification is smaller than the size before modification."//"ύX̧ق̻ނAύXO̻ނIPŞق쐬ł܂B" // v0.71 not needed
#define STRING_IPS_CANTCREATENEWFILE		"Could not create new file."//"VĶق쐬ł܂B"
#define STRING_IPS_ERROROCCUR				"An error occurred during creation."//"쐬ɴװ܂B"
#define STRING_IPS_CREATEDSUCCESSFULLY		"IPS file %s was created."//"IPŞ %s 쐬܂B"

/* ipslib.c */
// message box text
#define STRING_IPSLIB_NOTEXISTFILE			"%s doesn't exist."//"%s ́A݂܂B"
#define STRING_IPSLIB_NOTIFYSAMEFILENAME	"The two file paths %s are the same."//"2̧ٖɂȂĂ܂B" // v0.69 added %s
#define STRING_IPSLIB_CONFIRMCREATING		"Unchanged file\n%s\nis changed to the file\n%s\nby patching it with the IPS file\n%s\nwhich will be created.\nIs this OK?"//"ύXO̧\n%s\nύX̧\n%s\n߯sIPŞ\n%s\n쐬܂B\n낵ł?"
#define STRING_IPSLIB_CONFIRMOVERWRITING	"%s already exists.\nCan it be overwritten?"//"%s ́Ałɑ݂Ă܂B\n㏑Ă낵łH"
#define STRING_IPSLIB_NOTIPSFILE			"%s is not an IPS file."//"%s ́AIPŞقł͂܂B"
#define STRING_IPSLIB_CONFIRMPATCHING		"File to be patched\n%s\nits copy\n%s\nis made, and the IPS file\n%s\npatches it.\nIs this OK?"//"̧߯\n%s\n̺߰\n%s\n쐬A̧قIPŞ\n%s\n߯܂B\n낵ł?"
//#define STRING_IPSLIB_ERRORSAMEFILENAME		"Because the file to be patched and the copy file have the same name, it cannot be patched."//"̧߯قƂ̧̺߰قɂȂĂ܂߯s܂B" // v0.69 not needed
#define STRING_IPSLIB_CANTCOPYFILE			"File could not be copied."//"̧ق߰ł܂B"
#define STRING_IPSLIB_ERRORTOOLONGFILEPATH	"Full path name %s is too long."//"߽\n%s\n͒܂B" // v0.69 new

/* winips.c */
// static text control
#define STRING_WINIPS_IPSFILE				"IPS file"//"IPŞ"
#define STRING_WINIPS_FILETOBEPATCHED		"File to be patched"//"̧߯"
// button control
#define STRING_WINIPS_APPLY					"A&pply"//"Kp(&P)"
// static text control
#define STRING_WINIPS_UNCHANGEDFILE			"Unmodified file"//"ύXO̧"
#define STRING_WINIPS_CHANGEDFILE			"Modified file"//"ύX̧"
// button control
#define STRING_WINIPS_CREATE				"&Create"//"쐬(&C)"
// combo box control
#define STRING_WINIPS_PATCHOPERATION		"IPS patching"//"IPS߯"
#define STRING_WINIPS_CREATEOPERATION		"IPS file creation"//"IPŞٍ쐬"

/* wi_uninst/wi_uninst.c */
// message box title
#define STRING_WIUNINST_APPNAME             "WinIPS Uninstaller"//"WinIPS ACXg[["
// message box text
#define STRING_WIUNINST_CONFIRM             "You are about to delete WinIPS setting file %s. Are you sure?"//"WinIPS̐ݒt@C%s폜܂H"
#define STRING_WIUNINST_FINISH              "Deletion is completed."// "폜܂B"

#endif /* _STRINGS_EN_H_ */
